Subject: Re: [PATCH] usbnet: New driver for QinHeng CH9200 devices

From: Oliver Neukum <[email-masked]>
Date: Mon, 21 Sep 2015 08:36:29 +0200

On Sun, 2015-09-20 at 02:25 -0700, Matthew Garrett wrote:
> There's a bunch of cheap USB 10/100 devices based on QinHeng chipsets.
> The
> vendor driver supports the CH9100 and CH9200 devices, but the majority
> of
> the code is of the if (ch9100) {} else {} form, with the most
> significant
> difference being that CH9200 provides a real MII interface but CH9100
> fakes
> one with a bunch of global variables and magic commands. I don't have
> a
> CH9100, so it's probably better if someone who does provides an
> independent
> driver for it. In any case, this is a lightly cleaned up version of
> the
> vendor driver with all the CH9100 code dropped.

Hi,

surprisingly nice for a vendor driver. It even covers endianness
correctly. I'd say that the remaining issues will be easy to fix
and that would be easier on a merged driver.

	Regards
		Oliver